# $Revision: 1.24 $, $Date: 2002/07/20 17:52:19 $
Summary:	Utility for managing filesystem extended attributes
Summary(pl):	Narzdzia do zarzdzania rozszerzonymi atrybutami fs
Name:		attr
Version:	2.0.8
Release:	2
License:	GPL
Group:		Applications/System
Source0:	ftp://linux-xfs.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.gz
Patch0:		%{name}-miscfix.patch
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	autoconf
BuildRequires:	e2fsprogs-devel
BuildRequires:	xfsprogs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
An experimental attr command to manipulate extended attributes under
Linux.

%description -l pl
Eksperymentalna wersja polecenia attr to zarzdzania rozszerzonymi
atrybutami pod systemem Linux.

%package devel
Summary:	Header files and libraries to use extended attributes
Summary(pl):	Pliki nagwkowe i biblioteki
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files to develop software which manipulate extended attributes.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia oprogramowania manipulujcego
rozszerzonymi atrybutami.

%package static
Summary:	Static libraries for extended attributes
Summary(pl):	Biblioteki statyczne attr
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for extended attributes.

%description static -l pl
Biblioteki statyczne attr.

%prep
%setup  -q
%patch0 -p1

%build
DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}"; export DEBUG
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB

%{__make} install DIST_MANIFEST="$DIST_INSTALL"
%{__make} install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
%{__make} install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"

rm -f	$RPM_BUILD_ROOT%{_mandir}/man3/{attr_getf,attr_listf}.3
rm -f	$RPM_BUILD_ROOT%{_mandir}/man3/{attr_multif,attr_removef,attr_setf}.3

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.so
ln -sf /lib/libattr.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libattr.so

echo ".so attr_get.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_getf.3
echo ".so attr_list.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_listf.3
echo ".so attr_multi.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_multif.3
echo ".so attr_remove.3" > $RPM_BUILD_ROOT%{_mandir}/man3/attr_removef.3
echo ".so attr_set.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_setf.3

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/CHANGES
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /lib/lib*.so.*.*
%{_mandir}/man[18]/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/attr
%{_mandir}/man[235]/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: attr.spec,v $
Revision 1.24  2002/07/20 17:52:19  qboosh
- added missing attr(5) manual
- release 2

Revision 1.23  2002/07/20 14:12:07  areq
- 2.0.8, STBR
- new %doc

Revision 1.22  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/30 13:40:27  pioklo
-update to 2.0.7,STBR

Revision 1.20  2002/04/25 15:49:30  arturs
fixed a small typo

Revision 1.19  2002/04/09 19:28:43  ankry
- removed man section from .so redirections
- release 2

Revision 1.18  2002/04/09 07:56:45  areq
- 2.0.5, STBR

Revision 1.17  2002/04/03 09:01:18  kloczek
- addes static subpackage and Requires rule for main package in devel.

Revision 1.16  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/06 23:11:07  filon
- updated to 1.1.4 (bugfxes)

Revision 1.13  2002/02/02 19:56:05  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2002/01/03 18:12:40  baggins
- run ldconfig in %%post(un)

Revision 1.10  2002/01/02 18:42:58  baggins
- fixed wrong symlink

Revision 1.9  2001/10/08 16:11:55  baggins
- shared lib fix

Revision 1.8  2001/10/08 15:51:43  baggins
- added shared libs

Revision 1.7  2001/10/08 15:42:25  baggins
- updated to 1.1.3

Revision 1.6  2001/06/04 15:54:12  baggins
- removed requires %%{name} from devel package (not needed)

Revision 1.5  2001/06/01 13:25:54  baggins
- added Requires %%{name} = %%{version} to devel package

Revision 1.4  2001/06/01 13:10:37  baggins
- updated to 1.0.3

Revision 1.3  2001/05/01 20:55:45  kloczek
- spec adapterized,
- more macros and some cosmetics.

Revision 1.2  2001/05/01 20:48:38  misiek
manual pages added to devel subpackage

Revision 1.1  2001/05/01 20:46:51  misiek
utilities and library to manipulate extended attributes
